QwtClipper(3)

NAME
QwtClipper - Some clipping algorithms.

SYNOPSIS

#include <qwt_clipper.h>

  Static Public Member Functions
static QPolygon clipPolygon (const QRect &, const QPolygon &, bool closePolygon=false)
static QPolygon clipPolygon (const QRectF &, const QPolygon &, bool closePolygon=false)
static QPolygonF clipPolygonF (const QRectF &, const QPolygonF &, bool closePolygon=false)
static QVector< QwtInterval > clipCircle (const QRectF &, const QPointF &, double radius)

Detailed Description

Some clipping algorithms.

Member Function Documentation

  QVector< QwtInterval > QwtClipper::clipCircle (const QRectF & clipRect, const QPointF & center, double radius) [static]
Circle clipping

clipCircle() divides a circle into intervals of angles representing arcs of the circle. When the circle is completely inside the clip rectangle an interval [0.0, 2 * M_PI] is returned.

Parameters:
    clipRect Clip rectangle
    center Center of the circle
    radius Radius of the circle

Returns:
    Arcs of the circle

  QPolygon QwtClipper::clipPolygon (const QRect & clipRect, const QPolygon & polygon, bool closePolygon = false) [static]
Sutherland-Hodgman polygon clipping

Parameters:
    clipRect Clip rectangle
    polygon Polygon
    closePolygon True, when the polygon is closed

Returns:
    Clipped polygon

  QPolygon QwtClipper::clipPolygon (const QRectF & clipRect, const QPolygon & polygon, bool closePolygon = false) [static]
Sutherland-Hodgman polygon clipping

Parameters:
    clipRect Clip rectangle
    polygon Polygon
    closePolygon True, when the polygon is closed

Returns:
    Clipped polygon

  QPolygonF QwtClipper::clipPolygonF (const QRectF & clipRect, const QPolygonF & polygon, bool closePolygon = false) [static]
Sutherland-Hodgman polygon clipping

Parameters:
    clipRect Clip rectangle
    polygon Polygon
    closePolygon True, when the polygon is closed

Returns:
    Clipped polygon

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.